## mountpy 0.4

=== Makefile ===
DESTDIR =
CC = gcc

mountpy: mountpy.c
	$(CC) -O2 -Wall mountpy.c -o mountpy
	strip mountpy

all: mountpy

clean:
	rm -f mountpy

install:
	cp -v mountpy.py $(DESTDIR)/usr/bin/
	cp -v mountpy $(DESTDIR)/usr/bin/
	cp -v umountpy $(DESTDIR)/usr/bin/
	chown -v root:root $(DESTDIR)/usr/bin/mountpy
	chmod -v u+s $(DESTDIR)/usr/bin/mountpy
	if [ ! -e "$(DESTDIR)/etc/mountpy.conf" ]; then cp -v mountpy.conf $(DESTDIR)/etc/; fi

## mountpy 0.3

=== debian/changelog ===
mountpy (0.3) unstable; urgency=low

  * debian package reworked
  * some small fixes
  * added umountpy shell script

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 30 Apr 2005 16:22:08 +0200

mountpy (0.2) unstable; urgency=low

  * change default mount directory to /media

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu, 30 Dec 2004 10:19:05 +0100

mountpy (0.1) unstable; urgency=low

  * Initial Release.

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu,  9 Dec 2004 12:41:38 +0100

=== debian/control ===
Source: mountpy
Section: utils
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Build-Depends: debhelper (>= 4.0.0), python (>= 2.2)
Standards-Version: 3.6.1

Package: mountpy
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.2)
Description: script for quick mounting of removable devices
 mountpy scans all devices connected to the system, and tries
 to mount them, creating mount directories as needed.
 Warning: this runs setuid root and allows ordinary users
 to mount external filesystems. Do not install it on 
 multiuser machines with untrusted users!

## mountpy 0.4

=== debian/changelog ===
mountpy (0.4) unstable; urgency=low

  * do not remove the directories when umounting (caused some problems with
    gnome and kde)
  * use filesystem type explicitely during mount

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 13 Dec 2005 20:22:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Build-Depends: debhelper (>= 4.0.0), python (>= 2.2)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: mountpy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mountpy.sgml > mountpy.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mountpy.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mountpy


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman mountpy.1
	dh_link usr/share/man/man1/mountpy.1 usr/share/man/man1/umountpy.1
	dh_strip
	dh_compress
	dh_fixperms --exclude /usr/bin/mountpy
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mountpy 0.6

=== debian/changelog ===
mountpy (0.6) unstable; urgency=low

  * add the possibility to be called via sudo or super
  * remove setuid bit from Debian package
  * add sr[0-9] to the list of probed devices (USB CD and DVD drives)
  * add checking for malicious device names

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat,  13 May 2006 11:19:45 +0200

mountpy (0.5) unstable; urgency=low

  * use setuid wrapper supplied in python source distribution (suggested by Олег Бройтман)
  * do not try to umount directory which is not a mountpoint

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 24 Dec 2005 18:34:09 +0100

=== debian/control ===
Source: mountpy
Section: utils
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Build-Depends: debhelper (>= 4.0.0), python (>= 2.2)
Standards-Version: 3.7.2

Package: mountpy
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.2)
Suggests: super | sudo
Description: script for quick mounting of removable devices
 mountpy scans all devices connected to the system, and tries
 to mount them, creating mount directories as needed.
 Warning: After configured, this program allows ordinary users
 to mount external filesystems. Do not install it on 
 multiuser machines with untrusted users!

## mountpy 0.7

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,6 @@
 	cp -v mountpy.py $(DESTDIR)/usr/bin/
 	cp -v mountpy $(DESTDIR)/usr/bin/
 	cp -v umountpy $(DESTDIR)/usr/bin/
-	chown -v root:root $(DESTDIR)/usr/bin/mountpy
-	chmod -v u+s $(DESTDIR)/usr/bin/mountpy
+	#chown -v root:root $(DESTDIR)/usr/bin/mountpy
+	#chmod -v u+s $(DESTDIR)/usr/bin/mountpy
 	if [ ! -e "$(DESTDIR)/etc/mountpy.conf" ]; then cp -v mountpy.conf $(DESTDIR)/etc/; fi

=== debian/changelog ===
mountpy (0.7) unstable; urgency=low

  * add mmcblk[0-9] and mmcblk[0-9]p[1-9] to the list of probed 
    devices (MMC card readers)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat,  2 Sep 2006 11:27:07 +0200

## mountpy 0.8

=== debian/changelog ===
mountpy (0.8) unstable; urgency=low

  * add test for removable devices (default turned off)
  * add test for devices already mounted elsewhere

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Wed,  7 Mar 2007 20:23:16 +0100

mountpy (0.7) unstable; urgency=lo w

  * add mmcblk[0-9] and mmcblk[0-9]p[1-9] to the list of probed 
    devices (MMC card readers)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat,  2 Sep 2006 11:27:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	dh_compress
 	dh_fixperms --exclude /usr/bin/mountpy
 #	dh_perl
-	dh_python
+#	dh_python
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps

## mountpy 0.8.1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,18 @@
 
 mountpy: mountpy.c
 	$(CC) -O2 -Wall mountpy.c -o mountpy
-	strip mountpy
 
 all: mountpy
 
 clean:
 	rm -f mountpy
 
-install:
+strip:
+	strip mountpy
+
+install: strip nostripinstall
+
+nostripinstall:
 	cp -v mountpy.py $(DESTDIR)/usr/bin/
 	cp -v mountpy $(DESTDIR)/usr/bin/
 	cp -v umountpy $(DESTDIR)/usr/bin/

=== debian/changelog ===
mountpy (0.8.1) unstable; urgency=low

  * add nostripinstall to Makefile, use it in debian/rules (closes: #437579)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sun, 30 Sep 2007 18:31:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
-Build-Depends: debhelper (>= 4.0.0), python (>= 2.2)
+Build-Depends: debhelper (>= 5), python (>= 2.2)
 Standards-Version: 3.7.2
 
 Package: mountpy

## mountpy 0.8.1build1

=== debian/changelog ===
mountpy (0.8.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:35:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mountpy
 Section: utils
 Priority: optional
-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Build-Depends: debhelper (>= 5), python (>= 2.2)
 Standards-Version: 3.7.2

## mountpy 0.9

=== debian/changelog ===
mountpy (0.9) unstable; urgency=low

  * Convert to python3 (closes: #937084)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Wed, 11 Dec 2019 18:50:00 +0100

=== debian/control ===
Source: mountpy
Section: utils
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Build-Depends: debhelper (>= 5), python3
Standards-Version: 3.7.2

Package: mountpy
Architecture: any
Depends: ${shlibs:Depends}, python3
Suggests: super | sudo
Description: script for quick mounting of removable devices
 mountpy scans all devices connected to the system, and tries
 to mount them, creating mount directories as needed.
 Warning: After configured, this program allows ordinary users
 to mount external filesystems. Do not install it on 
 multiuser machines with untrusted users!

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/mountpy.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/mountpy
+	$(MAKE) nostripinstall DESTDIR=$(CURDIR)/debian/mountpy
 
 
 # Build architecture-independent files here.
